Index: LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_c.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_c.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_c.F90	(revision 5117)
@@ -54,8 +54,8 @@
 
       REAL timestep
-      real plev(klon,klev+1)
-      real play(klon,klev)
-      real ustar(klon)
-      real kmin,qmin,pblhmin(klon),coriol(klon)
+      REAL plev(klon,klev+1)
+      REAL play(klon,klev)
+      REAL ustar(klon)
+      REAL kmin,qmin,pblhmin(klon),coriol(klon)
       REAL zlev(klon,klev+1)
       REAL zlay(klon,klev)
@@ -74,11 +74,11 @@
       REAL kn(klon,klev)
       REAL kq(klon,klev)
-      real ff(klon,klev+1),delta(klon,klev+1)
-      real aa(klon,klev+1),aa0,aa1
-      integer iflag_pbl,ngrid
-      integer nlay,nlev
-
-      logical first
-      integer ipas
+      REAL ff(klon,klev+1),delta(klon,klev+1)
+      REAL aa(klon,klev+1),aa0,aa1
+      INTEGER iflag_pbl,ngrid
+      INTEGER nlay,nlev
+
+      LOGICAL first
+      INTEGER ipas
       save first,ipas
 !FH/IM     data first,ipas/.TRUE.,0/
@@ -89,31 +89,31 @@
 
 
-      integer ig,k
-
-
-      real ri,zrif,zalpha,zsm,zsn
-      real rif(klon,klev+1),sm(klon,klev+1),alpha(klon,klev)
-
-      real m2(klon,klev+1),dz(klon,klev+1),zq,n2(klon,klev+1)
+      INTEGER ig,k
+
+
+      REAL ri,zrif,zalpha,zsm,zsn
+      REAL rif(klon,klev+1),sm(klon,klev+1),alpha(klon,klev)
+
+      REAL m2(klon,klev+1),dz(klon,klev+1),zq,n2(klon,klev+1)
       REAL, DIMENSION(klon,klev+1) :: km2,kn2,sqrtq
-      real dtetadz(klon,klev+1)
-      real m2cstat,mcstat,kmcstat
-      real l(klon,klev+1)
-      real leff(klon,klev+1)
-      real,allocatable,save :: l0(:)
+      REAL dtetadz(klon,klev+1)
+      REAL m2cstat,mcstat,kmcstat
+      REAL l(klon,klev+1)
+      REAL leff(klon,klev+1)
+      REAL,ALLOCATABLE,save :: l0(:)
 !$OMP THREADPRIVATE(l0)      
-      real sq(klon),sqz(klon),zz(klon,klev+1)
-      integer iter
-
-      real ric,rifc,b1,kap
+      REAL sq(klon),sqz(klon),zz(klon,klev+1)
+      INTEGER iter
+
+      REAL ric,rifc,b1,kap
       save ric,rifc,b1,kap
       data ric,rifc,b1,kap/0.195,0.191,16.6,0.4/
 !$OMP THREADPRIVATE(ric,rifc,b1,kap)
-      real frif,falpha,fsm
-      real fl,zzz,zl0,zq2,zn2
-
-      real rino(klon,klev+1),smyam(klon,klev),styam(klon,klev)
-      real lyam(klon,klev),knyam(klon,klev)
-      real w2yam(klon,klev),t2yam(klon,klev)
+      REAL frif,falpha,fsm
+      REAL fl,zzz,zl0,zq2,zn2
+
+      REAL rino(klon,klev+1),smyam(klon,klev),styam(klon,klev)
+      REAL lyam(klon,klev),knyam(klon,klev)
+      REAL w2yam(klon,klev),t2yam(klon,klev)
       logical,save :: firstcall=.TRUE.
 !$OMP THREADPRIVATE(firstcall)       
@@ -134,5 +134,5 @@
 
       okiophys=klon==1
-      if (firstcall) THEN
+      IF (firstcall) THEN
         CALL getin_p('iflag_tke_diff',iflag_tke_diff)
         allocate(l0(klon))
@@ -277,5 +277,5 @@
 !        n2(ig,k)=0.
          ri=n2(ig,k)/max(m2(ig,k),1.e-10)
-         if (ri<ric) THEN
+         IF (ri<ric) THEN
             rif(ig,k)=frif(ri)
          else
@@ -300,5 +300,5 @@
 
 !   Mise a jour de l0
-      if (iflag_pbl==8.or.iflag_pbl==10) THEN
+      IF (iflag_pbl==8.OR.iflag_pbl==10) THEN
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 ! Iterative computation of l0
@@ -438,5 +438,5 @@
 
 ! Computation of turbulent diffusivities
-!  IF (25<=iflag_pbl.and.iflag_pbl<=28) THEN
+!  IF (25<=iflag_pbl.AND.iflag_pbl<=28) THEN
 !    DO k=2,klev
 !       sqrtq(:,k)=sqrt(0.5*(q2(:,k)+q2(:,k-1)))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_ini_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_ini_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_ini_mod.F90	(revision 5117)
@@ -17,5 +17,5 @@
   !$OMP THREADPRIVATE(iflag_vdif_q2)
 
-  real, dimension(:), allocatable, save :: l0
+  REAL, DIMENSION(:), ALLOCATABLE, save :: l0
   !$OMP THREADPRIVATE(l0)
   INTEGER :: lunout,prt_level
@@ -30,7 +30,7 @@
 
 ! local
-  integer, intent(in) :: klon,lunout_in,prt_level_in
+  INTEGER, INTENT(IN) :: klon,lunout_in,prt_level_in
   REAL :: ric0
-  real frif,falpha,fsm,ri
+  REAL frif,falpha,fsm,ri
 
   lunout=lunout_in
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_phys_tend_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_phys_tend_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_phys_tend_mod.F90	(revision 5117)
@@ -180,5 +180,5 @@
 REAL zdxt(ntraciso,klon,klev),zdxtl(ntraciso,klon,klev) &
         ,zdxti(ntraciso,klon,klev)
-integer ixt
+INTEGER ixt
 #endif
 
@@ -188,5 +188,5 @@
 #ifdef ISO
 REAL zxt(ntraciso)
-real qprec(klon,klev)
+REAL qprec(klon,klev)
 REAL zxt_int(ntraciso), zxtp_int(ntraciso), zxtp(ntraciso,klev),zxt_new
 #endif
@@ -213,5 +213,5 @@
 LOGICAL done(klon)
 
-integer debug_level
+INTEGER debug_level
 logical, save :: first=.TRUE.
 !$OMP THREADPRIVATE(first)
@@ -268,5 +268,5 @@
 
      debug_level=10
-     if (first) THEN
+     IF (first) THEN
         print *,"TestJLD rcpv, rcw, rcs",rcpv, rcw, rcs
         first=.FALSE.
@@ -296,5 +296,5 @@
   END DO
 
-  if (fl_ebil > 0) THEN
+  IF (fl_ebil > 0) THEN
     ! ------------------------------------------------
     ! Compute vertical sum for each atmospheric column
@@ -319,5 +319,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_vect2D( &
                 xt_seri,q_seri, &
@@ -363,10 +363,10 @@
             qprec(i,k)=q_seri(i,k)
 #endif
-            IF ( zt>370. .or. zt<130. .or. abs(zdt(i,k))>50. ) THEN
+            IF ( zt>370. .OR. zt<130. .OR. abs(zdt(i,k))>50. ) THEN
             jbad = jbad + 1
             jadrs(jbad) = i
             kadrs(jbad) = k
             ENDIF
-            IF ( zq<0. .or. zq>0.1 .or. abs(zdq(i,k))>1.e-2 ) THEN
+            IF ( zq<0. .OR. zq>0.1 .OR. abs(zdq(i,k))>1.e-2 ) THEN
             jqbad = jqbad + 1
             jqadrs(jqbad) = i
@@ -385,5 +385,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_vect2D( &
                 xt_seri,q_seri, &
@@ -486,6 +486,6 @@
             DO k = 1, klev
               zq=q_seri(i,k)+zdq(i,k)
-              if (zq<1.e-15) THEN
-                 if (q_seri(i,k)<1.e-15) THEN
+              IF (zq<1.e-15) THEN
+                 IF (q_seri(i,k)<1.e-15) THEN
                   IF(prt_level>=debug_level) THEN
                    PRINT*,' cas q_seri<1.e-15 i k q_seri zq zdq :',i,k,q_seri(i,k),zq,zdq(i,k)
@@ -516,5 +516,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-     if (iso_eau.gt.0) THEN
+     IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_vect2D( &
                 xt_seri,q_seri, &
@@ -536,5 +536,5 @@
       DO k = 1, klev
          DO i = 1, klon
-            IF ( t_seri(i,k)>370. .or. t_seri(i,k)<130. .or. abs(zdt(i,k))>50. ) THEN
+            IF ( t_seri(i,k)>370. .OR. t_seri(i,k)<130. .OR. abs(zdt(i,k))>50. ) THEN
             jbad = jbad + 1
             jadrs(jbad) = i
@@ -543,5 +543,5 @@
 !            endif
             ENDIF
-            IF ( q_seri(i,k)<0. .or. q_seri(i,k)>0.1 .or. abs(zdq(i,k))>1.e-2 ) THEN
+            IF ( q_seri(i,k)<0. .OR. q_seri(i,k)>0.1 .OR. abs(zdq(i,k))>1.e-2 ) THEN
             jqbad = jqbad + 1
             jqadrs(jqbad) = i
@@ -561,5 +561,5 @@
                  i,itap,longitude_deg(i),latitude_deg(i),text,jbad, &
                 zdt(i,k),t_seri(i,k)-zdt(i,k)
-!!!       IF(prt_level.ge.10.and.itap.GE.229.and.i.EQ.3027) THEN
+!!!       IF(prt_level.ge.10.AND.itap.GE.229.AND.i.EQ.3027) THEN
           PRINT*,'l    T     dT       Q     dQ    '
           DO k = 1, klev
@@ -579,5 +579,5 @@
                  i,itap,longitude_deg(i),latitude_deg(i),text,jqbad,&
                 zdq(i,k), q_seri(i,k)-zdq(i,k), zdql(i,k), ql_seri(i,k)-zdql(i,k)
-!!!       IF(prt_level.ge.10.and.itap.GE.229.and.i.EQ.3027) THEN
+!!!       IF(prt_level.ge.10.AND.itap.GE.229.AND.i.EQ.3027) THEN
           PRINT*,'l    T     dT       Q     dQ    '
           DO k = 1, klev
@@ -611,5 +611,5 @@
 !======================================================================
 
-  if (fl_ebil > 0) THEN
+  IF (fl_ebil > 0) THEN
     ! ------------------------------------------------
     ! Compute vertical sum for each atmospheric column
@@ -705,5 +705,5 @@
 INTEGER k, n
 
-integer debug_level
+INTEGER debug_level
 logical, save :: first=.TRUE.
 !$OMP THREADPRIVATE(first)
@@ -744,5 +744,5 @@
 
      debug_level=10
-     if (first) THEN
+     IF (first) THEN
         print *,"TestJLD rcpv, rcw, rcs",rcpv, rcw, rcs
         first=.FALSE.
@@ -758,5 +758,5 @@
   END DO
 
-  if (fl_ebil > 0) THEN
+  IF (fl_ebil > 0) THEN
     ! ------------------------------------------------
     ! Compute vertical sum for each atmospheric column
@@ -789,5 +789,5 @@
 !======================================================================
 
-  if (fl_ebil > 0) THEN
+  IF (fl_ebil > 0) THEN
     ! ------------------------------------------------
     ! Compute vertical sum for each atmospheric column
@@ -921,11 +921,11 @@
 !------------
 CHARACTER*(*) text ! text specifing the involved parametrization 
-integer itap        ! time step number
+INTEGER itap        ! time step number
 ! local variables
 ! ---------------
-real bilq_seuil,  bilh_seuil ! thresold on error in Q and H budget
-real bilq_error,  bilh_error ! erros in Q and H budget
-real bilq_bnd,  bilh_bnd     ! Q and H budget due to exchange with boundaries
-integer bilq_ok,  bilh_ok
+REAL bilq_seuil,  bilh_seuil ! thresold on error in Q and H budget
+REAL bilq_error,  bilh_error ! erros in Q and H budget
+REAL bilq_bnd,  bilh_bnd     ! Q and H budget due to exchange with boundaries
+INTEGER bilq_ok,  bilh_ok
 CHARACTER*(12) status
 
@@ -936,5 +936,5 @@
 
 !!print *,'prt_level:',prt_level,' fl_ebil:',fl_ebil,' fl_cor_ebil:',fl_cor_ebil
-IF ( (fl_ebil > 0) .and. (klon == 1)) THEN
+IF ( (fl_ebil > 0) .AND. (klon == 1)) THEN
   bilq_bnd = 0.
   bilh_bnd = 0.
@@ -967,10 +967,10 @@
   bilh_error = d_h_col(1) - bilh_bnd
 ! are the errors too large?
-  if ( abs(bilq_error) > bilq_seuil) bilq_ok=1
-  if ( abs(bilh_error) > bilh_seuil) bilh_ok=1
+  IF ( abs(bilq_error) > bilq_seuil) bilq_ok=1
+  IF ( abs(bilh_error) > bilh_seuil) bilh_ok=1
 
 ! Print diagnostics
 ! =================
-  if ( (bilq_ok == 0).and.(bilh_ok == 0) ) THEN
+  IF ( (bilq_ok == 0).AND.(bilh_ok == 0) ) THEN
     status="enerbil-OK"
   else
@@ -978,12 +978,12 @@
   end if
 
-  if ( prt_level >= 3) THEN
+  IF ( prt_level >= 3) THEN
     WRITE(*,9010) text,status," itap:",itap,"enerbilERROR: Q", bilq_error,"  H", bilh_error
 9010  format (1x,A8,2x,A12,A6,I4,A18,E15.6,A5,E15.6)
   end if
-  if ( prt_level >= 3) THEN
+  IF ( prt_level >= 3) THEN
     WRITE(*,9000) text,"enerbil: Q,H,KE budget", d_qt_col(1), d_h_col(1),d_ek_col(1)
   end if
-  if ( prt_level >= 5) THEN
+  IF ( prt_level >= 5) THEN
     WRITE(*,9000) text,"enerbil at boundaries: Q, H",bilq_bnd, bilh_bnd
     WRITE(*,9000) text,"enerbil: water budget",d_qt_col(1),d_qw_col(1),d_ql_col(1),d_qs_col(1), d_qbs_col(1)
@@ -993,15 +993,15 @@
   specific_diag: SELECT CASE (text)
   CASE("vdf") specific_diag
-    if ( prt_level >= 5) THEN
+    IF ( prt_level >= 5) THEN
       WRITE(*,9000) text,"enerbil: d_h, bilh, sens,t_seri", d_h_col(1), bilh_bnd, sens(1), t_seri(1,1)
       WRITE(*,9000) text,"enerbil: d_h_col_vdf, f_h, diff",d_h_col_vdf, f_h_bnd, bilh_bnd-sens(1)
     end if
   CASE("lsc") specific_diag
-    if ( prt_level >= 5) THEN
+    IF ( prt_level >= 5) THEN
       WRITE(*,9000) text,"enerbil: rain, bil_lat, bil_sens", rain_lsc(1), rlvtt * rain_lsc(1), -(rcw-rcpd)*t_seri(1,1) * rain_lsc(1)
       WRITE(*,9000) text,"enerbil: snow, bil_lat, bil_sens", snow_lsc(1), rlstt * snow_lsc(1), -(rcs-rcpd)*t_seri(1,1) * snow_lsc(1)
     end if
   CASE("convection") specific_diag
-    if ( prt_level >= 5) THEN
+    IF ( prt_level >= 5) THEN
       WRITE(*,9000) text,"enerbil: rain, bil_lat, bil_sens", rain_con(1), rlvtt * rain_con(1), -(rcw-rcpd)*t_seri(1,1) * rain_con(1)
       WRITE(*,9000) text,"enerbil: snow, bil_lat, bil_sens", snow_con(1), rlstt * snow_con(1), -(rcs-rcpd)*t_seri(1,1) * snow_con(1)
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/ajsec.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/ajsec.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/ajsec.F90	(revision 5117)
@@ -49,9 +49,9 @@
   INTEGER i, k, k1, k2
 #ifdef ISO
-      real xt(ntraciso,klon,klev)
-      real d_xt(ntraciso,klon,klev)
-      real zxt(ntraciso,klon,klev)
-      real xtm(ntraciso)
-      integer ixt
+      REAL xt(ntraciso,klon,klev)
+      REAL d_xt(ntraciso,klon,klev)
+      REAL zxt(ntraciso,klon,klev)
+      REAL xtm(ntraciso)
+      INTEGER ixt
 #endif
 
@@ -63,5 +63,5 @@
       do i=1,klon
          do k=1,klev         
-           if (iso_eau.gt.0) THEN
+           IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(q(i,k),xt(iso_eau,i,k), &
                  'ajsec 67',errmax,errmaxrel)
@@ -136,5 +136,5 @@
         enddo    
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(qm,xtm(iso_eau), &
                  'ajsec 126',errmax,errmaxrel)
@@ -152,5 +152,5 @@
         enddo    
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(qm,xtm(iso_eau), &
                  'ajsec 136',errmax,errmaxrel)
@@ -198,5 +198,5 @@
              CALL iso_verif_noNaN(zxt(ixt,i,k),'ajsec 173')
            enddo !do ixt=1,niso           
-           if (iso_eau.gt.0) THEN
+           IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(zq(i,k),zxt(iso_eau,i,k), &
                  'ajsec 168',errmax,errmaxrel)
@@ -228,5 +228,5 @@
       do i = 1, klon
         do k = 1, limhau
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(d_q(i,k),d_xt(iso_eau,i,k), &
                 'ajsec 198',errmax,errmaxrel)
@@ -280,5 +280,5 @@
       do i = 1, klon
         do k = 1, klev
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
           CALL iso_verif_egalite(d_q(i,k),d_xt(iso_eau,i,k),'ajsec 270')
          endif
@@ -345,9 +345,9 @@
 
 #ifdef ISO
-      real xt(ntraciso,klon,klev)
-      real d_xt(ntraciso,klon,klev)
-      real zxt(ntraciso,klon,klev)
-      real xtm(ntraciso)
-      integer ixt
+      REAL xt(ntraciso,klon,klev)
+      REAL d_xt(ntraciso,klon,klev)
+      REAL zxt(ntraciso,klon,klev)
+      REAL xtm(ntraciso)
+      INTEGER ixt
 #endif
 
@@ -361,5 +361,5 @@
              CALL iso_verif_noNAN(xt(ixt,i,k),'ajsec 320')
            enddo !do ixt=1,niso           
-           if (iso_eau.gt.0) THEN
+           IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(q(i,k),xt(iso_eau,i,k), &
                  'ajsec 324',errmax,errmaxrel)
@@ -490,5 +490,5 @@
              CALL iso_verif_noNAN(zxt(ixt,i,k),'ajsec 428')
            enddo !do ixt=1,niso           
-           if (iso_eau.gt.0) THEN
+           IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(zq(i,k),zxt(iso_eau,i,k), &
                  'ajsec 432',errmax,errmaxrel)
@@ -563,5 +563,5 @@
       do i = 1, klon
         do k = limbas, limhau
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
           CALL iso_verif_egalite(d_q(i,k),d_xt(iso_eau,i,k),'ajsec 270')
          endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/calwake.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/calwake.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/calwake.F90	(revision 5117)
@@ -261,5 +261,5 @@
   DO l = 1, klev
     DO i = 1, klon
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite(qe(i,l),xte(iso_eau,i,l),'calwake 261a')
         CALL iso_verif_egalite(dqa(i,l),dxta(iso_eau,i,l),'calwake 261b')
@@ -291,5 +291,5 @@
   DO l = 1, klev
     DO i = 1, klon
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite(dqls(i,l),dxtls(iso_eau,i,l),'calwake 290a')
         CALL iso_verif_egalite(qx(i,l),xtx(iso_eau,i,l),'calwake 290b')
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/climb_hq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/climb_hq_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/climb_hq_mod.F90	(revision 5117)
@@ -119,9 +119,9 @@
 
 #ifdef ISO
-    real, DIMENSION(klon,2:klev) :: gamaxt_tmp
-    real, DIMENSION(klon,klev) :: xt_tmp
-    real, DIMENSION(klon,klev) ::  Ccoef_XT_tmp,Dcoef_XT_tmp
-    real, DIMENSION(klon) ::  Acoef_XT_tmp,Bcoef_XT_tmp
-    integer ixt
+    REAL, DIMENSION(klon,2:klev) :: gamaxt_tmp
+    REAL, DIMENSION(klon,klev) :: xt_tmp
+    REAL, DIMENSION(klon,klev) ::  Ccoef_XT_tmp,Dcoef_XT_tmp
+    REAL, DIMENSION(klon) ::  Acoef_XT_tmp,Bcoef_XT_tmp
+    INTEGER ixt
 #endif 
 ! Include
@@ -132,5 +132,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-   if (iso_eau.gt.0) THEN
+   IF (iso_eau.gt.0) THEN
        do k = 1, klev
           DO i = 1, knon
@@ -315,5 +315,5 @@
        enddo ! do ixt=1,ntraciso
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
          do k = 1, klev
           DO i = 1, knon
@@ -375,5 +375,5 @@
 !****************************************************************************************
 !!! jyg le 07/02/2012
-!!jyg       IF (mod(iflag_pbl_split,2) .eq.1) THEN
+!!jyg       IF (mod(iflag_pbl_split,2) .EQ.1) THEN
        IF (mod(iflag_pbl_split,10) >=1) THEN
 !!! nrlmd le 02/05/2011
@@ -548,5 +548,5 @@
     REAL, DIMENSION(ntraciso,klon,klev)               :: xt_new
     REAL, DIMENSION(ntraciso,klon), INTENT(IN)        :: flx_xt1
-    integer ixt
+    INTEGER ixt
 !#ifdef ISOVERIF
 !    integer iso_verif_noNaN_nostop
@@ -571,5 +571,5 @@
        DO k = 1, klev
         DO i = 1, knon  
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
            CALL iso_verif_egalite(xt_old(iso_eau,i,k), &
                q_old(i,k),'climb_hq_mod 421')
@@ -598,5 +598,5 @@
 
 !!! jyg le 07/02/2012
-!!jyg       IF (mod(iflag_pbl_split,2) .eq.1) THEN
+!!jyg       IF (mod(iflag_pbl_split,2) .EQ.1) THEN
        IF (mod(iflag_pbl_split,10) >=1) THEN
 !!! nrlmd le 02/05/2011
@@ -674,9 +674,9 @@
        DO i = 1, knon     
         do ixt=1,ntraciso
-         if (iso_verif_noNaN_nostop(xt_new(ixt,i,k),'climb_hq 507').eq.1) THEN
+         IF (iso_verif_noNaN_nostop(xt_new(ixt,i,k),'climb_hq 507').EQ.1) THEN
              WRITE(*,*) 'Acoef_XT(ixt,i)=',Acoef_XT(ixt,i)
              WRITE(*,*) 'Bcoef_XT(ixt,i)=',Bcoef_XT(ixt,i)
              WRITE(*,*) 'flx_xt1(ixt,i)=',flx_xt1(ixt,i)
-             if (k.ge.2) THEN
+             IF (k.ge.2) THEN
                WRITE(*,*) 'Ccoef_XT(ixt,i,k)=',Ccoef_XT(ixt,i,k)
                WRITE(*,*) 'Dcoef_XT(ixt,i,k)=',Dcoef_XT(ixt,i,k)
@@ -689,17 +689,17 @@
 #endif
 #ifdef ISOVERIF
-     if (iso_eau.gt.0) THEN
+     IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_vect2D( &
                  xt_new,q_new, &
                  'climb_hq_mod 504',ntraciso,klon,klev)
      endif !if (iso_eau.gt.0) THEN
-     if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+     IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
         do i=1,klon 
          do k=1,klev 
-            if (q_new(i,k).gt.ridicule) THEN
-               if (iso_verif_o18_aberrant_nostop( &
+            IF (q_new(i,k).gt.ridicule) THEN
+               IF (iso_verif_o18_aberrant_nostop( &
                     xt_new(iso_HDO,i,k)/q_new(i,k), &
                     xt_new(iso_O18,i,k)/q_new(i,k), &
-                    'climb_hq_mod 690').eq.1) THEN
+                    'climb_hq_mod 690').EQ.1) THEN
                   WRITE(*,*) 'i,k,q_new(i,k)=',i,k,q_new(i,k)
                   stop
@@ -708,5 +708,5 @@
           enddo !k=1,klev
          enddo  !i=1,klon
-        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+        endif !if ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
 #endif
 #endif   
@@ -770,5 +770,5 @@
 #endif
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
            CALL iso_verif_egalite(d_xt(iso_eau,i,k), &
                d_q(i,k),'climb_hq_mod 503')
@@ -787,5 +787,5 @@
 #ifdef ISOVERIF
 !        WRITE(*,*) 'climb_hq_mod 758: d_xt,d_q=',d_xt(iso_eau,1,1),d_q(1,1)
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_vect2D( &
                 d_xt,d_q, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/concvl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/concvl.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/concvl.F90	(revision 5117)
@@ -476,5 +476,5 @@
         enddo !do i = 1, klon
        enddo !do k = 1, klev       
-       if (iso_eau.gt.0) THEN
+       IF (iso_eau.gt.0) THEN
        do k = 1, klev
         do i = 1, klon   
@@ -484,8 +484,8 @@
        enddo !do k = 1, klev   
        endif !if (iso_eau.gt.0) THEN
-       if (iso_HDO.gt.0) THEN
+       IF (iso_HDO.gt.0) THEN
        do k = 1, klev
         do i = 1, klon         
-         if (q(i,k).gt.ridicule) THEN
+         IF (q(i,k).gt.ridicule) THEN
           CALL iso_verif_aberrant(xt(iso_hdo,i,k)/q(i,k),'concvl 175')
          endif ! if (q(i,k).gt.ridicule) THEN
@@ -537,5 +537,5 @@
        do k = 1, klev
         do i = 1, klon
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite(xt(iso_eau,i,k),q(i,k),'concvl 203')
             CALL iso_verif_egalite(xt_wake(iso_eau,i,k),q_wake(i,k),'concvl 204')
@@ -653,11 +653,11 @@
   DO k = 1, klev
     DO i = 1, klon
-           if (iso_HDO.gt.0) THEN
-             if (q(i,k).gt.ridicule) THEN
+           IF (iso_HDO.gt.0) THEN
+             IF (q(i,k).gt.ridicule) THEN
                  CALL iso_verif_aberrant_encadre((xt(iso_HDO,i,k) &
               +d_xt(iso_HDO,i,k))/(q(i,k)+d_q(i,k)),'concvl 250')
              endif !if (q_seri(i,k).gt.ridicule) THEN
           endif !if (iso_HDO.gt.0) THEN
-           if (iso_eau.gt.0) THEN
+           IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(d_xt(iso_eau,i,k), &
                 d_q(i,k),'concvl 530',errmax*dtime,errmaxrel)
@@ -672,5 +672,5 @@
 
 #ifdef ISO 
-      if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) THEN
+      IF ((iso_eau.gt.0).AND.(bidouille_anti_divergence)) THEN
         do k=1,klev   
         do i=1,klon
@@ -682,5 +682,5 @@
                   klon,klev)
 #endif          
-      endif !if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) THEN
+      endif !if ((iso_eau.gt.0).AND.(bidouille_anti_divergence)) THEN
 #endif
 
